=== debian/changelog ===
elkcode (9.2.5-1) unstable; urgency=medium

  * New usptream release.
  * debian/patches/makeflags.patch: Refreshed. 

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Dec 2023 18:36:52 +0100

elkcode (9.1.15-1) unstable; urgency=medium

  * New usptream release.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 12 to 13.

  [ Michael Banck ]
  * debian/patches/default_data_directory.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/ls_locale_for_reproducible_order.patch: Likewise.
  * debian/rules (override_dh_auto_build): No longer assemble make.inc from
    make.def and make.inc.in.
  * debian/patches/makeflags.patch: Update, and add -lfftw3f to LIBS.
  * debian/rules (override_dh_auto_clean): Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Sun, 15 Oct 2023 22:04:16 +0200
