## elkcode 9.2.12

=== src/Makefile ===
--- 
+++ 
@@ -96,7 +96,7 @@
  cpotclmt.f90 rfmtsm.f90 rbshtip.f90 rfshtip.f90 zbshtip.f90 zfshtip.f90 \
  writejw.f90 cbsht.f90 cbshtip.f90 cfshtip.f90 gencvclmt.f90 \
  zcfmtinp.f90 zcfinp.f90 cpotcoul.f90 ggamt_5b.f90 ggamt_5c.f90 ggair_5b.f90 \
- ggair_5c.f90 piezoelt.f90 magnetoelt.f90 zftcf.f90 trimrfg.f90
+ ggair_5c.f90 piezoelt.f90 magnetoelt.f90 zftcf.f90 trimrfg.f90 rmtavrg.f90
 
 SRC_main = $(SRC_main0) $(SRC_main1)
 
@@ -237,4 +237,4 @@
 doc:
 	rm -f elk.aux elk.bbl elk.blg elk.log elk.pdf elk.tex elk.toc elk.lst
 	ls $(SRC_modules) $(SRC_main) $(SRC_XC) $(SRC_phonon) $(SRC_DFTU) \
-         $(SRC_RDMFT) $(SRC_TDDFT) > elk.lst
+         $(SRC_RDMFT) $(SRC_TDDFT) $(SRC_GW) > elk.lst
