=== debian/changelog ===
elkcode (9.2.12-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:39 +1100

elkcode (9.2.12-1build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:22:03 +0000

elkcode (9.2.12-1) unstable; urgency=medium

  * New usptream release.
  * debian/patches/ls_locale_for_reproducible_order.patch: Refreshed.

 -- Michael Banck <mbanck@debian.org>  Fri, 29 Dec 2023 16:36:33 +0100
