## elkcode 9.6.8

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,8 @@
 # main subroutines and functions
 SRC_main0 = \
  factn.f90 factr.f90 factn2.f90 r3mm.f90 r3mtm.f90 r3mmt.f90 r3vo.f90 gcd.f90 \
- rfint.f90
+ rfint.f90 trimrfg.f90 gencfun.f90 zpotcoul.f90 cpotcoul.f90 potcoul.f90 \
+ zftcf.f90 elnes.f90
 
 SRC_main1 = \
  symdmat.f90 axangsu2.f90 gradzvcln.f90 gentpmae.f90 zfcmtwr.f90 cfcmtwr.f90 \
@@ -22,10 +23,10 @@
  eveqnfvz.f90 energynn.f90 gaunt.f90 potxcmt.f90 sdelta_mp.f90 stheta_mp.f90 \
  sdelta_fd.f90 stheta_fd.f90 writelsj.f90 eveqnzh.f90 gensmatk.f90 \
  gensfacgp.f90 rhomag.f90 wsplintp.f90 checkmt.f90 reciplat.f90 gradrf.f90 \
- gencfrm.f90 mixadapt.f90 zftrf.f90 sbessel.f90 gengclgq.f90 gencfun.f90 \
+ gencfrm.f90 mixadapt.f90 zftrf.f90 sbessel.f90 gengclgq.f90 \
  genstress.f90 force.f90 genvbmatk.f90 forcek.f90 writeepsinv.f90 olprad.f90 \
  polark.f90 zfmtinp.f90 hflocal.f90 mixbroyden.f90 grad2rfmt.f90 clebgor.f90 \
- rfirctof.f90 effmass.f90 zpotcoul.f90 sfacmag.f90 polynm.f90 epsinv.f90 \
+ rfirctof.f90 effmass.f90 sfacmag.f90 polynm.f90 epsinv.f90 \
  rfinpc.f90 writeiad.f90 genapwfr.f90 gengclq.f90 addbfsm.f90 genylmv.f90 \
  olpfv.f90 hmlfv.f90 genexpmt.f90 rfinp.f90 sphcover.f90 sctovec.f90 \
  genppts.f90 eveqnzg.f90 fderiv.f90 genpmat.f90 genexpmat.f90 writeforces.f90 \
@@ -45,7 +46,7 @@
  dbxcplot.f90 sbesseldm.f90 writehmlbse.f90 dielectric_bse.f90 vecplot.f90 \
  nesting.f90 writeevbse.f90 emdplot3d.f90 emdplot2d.f90 emdplot1d.f90 \
  rfhkintp.f90 writewfpw.f90 vblocal.f90 writefsm.f90 getwfpw.f90 plotpt1d.f90 \
- init1.f90 init2.f90 findsymcrys.f90 plotpt3d.f90 elnes.f90 fermisurfbxsf.f90 \
+ init1.f90 init2.f90 findsymcrys.f90 plotpt3d.f90 fermisurfbxsf.f90 \
  genspecies.f90 writeexpmat.f90 writekpts.f90 wfcrplot.f90 writedos.f90 \
  energykncr.f90 ggamt_1.f90 ggair_1.f90 ggamt_sp_1.f90 ggair_sp_1.f90 \
  ggamt_2a.f90 ggair_2a.f90 ggamt_2b.f90 ggair_2b.f90 ggamt_sp_2a.f90 \
@@ -57,46 +58,45 @@
  zcfmtwr.f90 wfmtsv.f90 olpistl.f90 hmlistl.f90 olpalo.f90 hmlalo.f90 \
  olplolo.f90 hmllolo.f90 olpaa.f90 hmlaa.f90 gengclg.f90 rhomagsh.f90 \
  charge.f90 moment.f90 rfint0.f90 r3mdet.f90 gencfrc.f90 checkstop.f90 \
- genbs.f90 gradwf2.f90 closefiles.f90 \
- writelinen.f90 rfmtlm.f90 putpmat.f90 getpmat.f90 rfmtpack.f90 zfmtpack.f90 \
- putevalfv.f90 getevalfv.f90 wfmtfv.f90 putkmat.f90 getkmat.f90 putepsinv.f90 \
- getcfgq.f90 putevalsv.f90 getevalsv.f90 getevecsv.f90 putevecsv.f90 \
- genshtmat.f90 allatoms.f90 putevecfv.f90 getevecfv.f90 writesym.f90 \
- putoccsv.f90 getoccsv.f90 torque.f90 findqpt.f90 findkpt.f90 genevfsv.f90 \
- genwfsv.f90 sdelta.f90 stheta.f90 sortidx.f90 symmat.f90 radnucl.f90 \
- symrvf.f90 writeqpts.f90 rndevsv.f90 gengkvec.f90 mixlinear.f90 writesf.f90 \
- gengqf.f90 genkmat.f90 genolpq.f90 genjlgprmt.f90 rfinterp.f90 fsmooth.f90 \
- axangrot.f90 rotaxang.f90 wspline.f90 splined.f90 findswidth.f90 \
- findsymlat.f90 writepmat.f90 genstrain.f90 symmetry.f90 linengy.f90 \
- writestress.f90 eulerrot.f90 cftwfir.f90 rschrodint.f90 writegclq.f90 \
- writegeom.f90 writemom.f90 gendmat.f90 curlrvf.f90 genzvclmt.f90 genjtot.f90 \
- symvec.f90 checkwrite.f90 genjprk.f90 proj2d.f90 genidxbse.f90 symrvfir.f90 \
- genjpr.f90 eveqnfvr.f90 gentau.f90 genjlgpr.f90 writestrain.f90 \
- writefermi.f90 rfmtctof.f90 findsym.f90 zfsht.f90 rhonorm.f90 genvchi0.f90 \
- cfmtconj.f90 stheta_sq.f90 sdelta_lr.f90 stheta_lr.f90 findsymsite.f90 \
- genlmirep.f90 writespecies.f90 rhomagk.f90 symrvfmt.f90 wigner3jf.f90 \
- genhvec.f90 ylmrot.f90 wxcplot.f90 massnucl.f90 gendmatk.f90 rfplot.f90 \
- straingkq.f90 eveqnit.f90 oepmain.f90 rdirac.f90 bandstr.f90 sfacinit.f90 \
- findscq.f90 plot1d.f90 plot2d.f90 plot3d.f90 init0.f90 readstate.f90 \
- eveqnhf.f90 zbsht.f90 i3mtv.f90 spline.f90 gauntyry.f90 findnjcmax.f90 \
- gndstate.f90 sstask.f90 fermisurf.f90 spiralsc.f90 atom.f90 maginit.f90 \
- exxengyk.f90 moke.f90 hmlrad.f90 dos.f90 findprimcell.f90 \
+ genbs.f90 gradwf2.f90 writelinen.f90 rfmtlm.f90 putpmat.f90 getpmat.f90 \
+ rfmtpack.f90 zfmtpack.f90 putevalfv.f90 getevalfv.f90 wfmtfv.f90 putkmat.f90 \
+ getkmat.f90 putepsinv.f90 getcfgq.f90 putevalsv.f90 getevalsv.f90 \
+ getevecsv.f90 putevecsv.f90 genshtmat.f90 allatoms.f90 putevecfv.f90 \
+ getevecfv.f90 writesym.f90 putoccsv.f90 getoccsv.f90 torque.f90 findqpt.f90 \
+ findkpt.f90 genevfsv.f90 genwfsv.f90 sdelta.f90 stheta.f90 sortidx.f90 \
+ symmat.f90 radnucl.f90 symrvf.f90 writeqpts.f90 rndevsv.f90 gengkvec.f90 \
+ mixlinear.f90 writesf.f90 gengqf.f90 genkmat.f90 genolpq.f90 genjlgprmt.f90 \
+ rfinterp.f90 fsmooth.f90 axangrot.f90 rotaxang.f90 wspline.f90 splined.f90 \
+ findswidth.f90 findsymlat.f90 writepmat.f90 genstrain.f90 symmetry.f90 \
+ linengy.f90 writestress.f90 eulerrot.f90 cftwfir.f90 rschrodint.f90 \
+ writegclq.f90 writegeom.f90 writemom.f90 gendmat.f90 curlrvf.f90 \
+ genzvclmt.f90 genjtot.f90 symvec.f90 checkwrite.f90 genjprk.f90 proj2d.f90 \
+ genidxbse.f90 symrvfir.f90 genjpr.f90 eveqnfvr.f90 gentau.f90 genjlgpr.f90 \
+ writestrain.f90 writefermi.f90 rfmtctof.f90 findsym.f90 zfsht.f90 rhonorm.f90 \
+ genvchi0.f90 cfmtconj.f90 stheta_sq.f90 sdelta_lr.f90 stheta_lr.f90 \
+ findsymsite.f90 genlmirep.f90 writespecies.f90 rhomagk.f90 symrvfmt.f90 \
+ wigner3jf.f90 genhvec.f90 ylmrot.f90 wxcplot.f90 massnucl.f90 gendmatk.f90 \
+ rfplot.f90 straingkq.f90 eveqnit.f90 oepmain.f90 rdirac.f90 bandstr.f90 \
+ sfacinit.f90 findscq.f90 plot1d.f90 plot2d.f90 plot3d.f90 init0.f90 \
+ readstate.f90 eveqnhf.f90 zbsht.f90 i3mtv.f90 spline.f90 gauntyry.f90 \
+ findnjcmax.f90 gndstate.f90 sstask.f90 fermisurf.f90 spiralsc.f90 atom.f90 \
+ maginit.f90 exxengyk.f90 moke.f90 hmlrad.f90 dos.f90 findprimcell.f90 \
  plotpt2d.f90 sfacrho.f90 bdipole.f90 dielectric.f90 elfplot.f90 vclcore.f90 \
  zfmtwr.f90 zvcldisp.f90 vecfbz.f90 lopzflmn.f90 zpotclmt.f90 \
- readfermi.f90 gensdmat.f90 symrfmt.f90 sphcrd.f90 potcoul.f90 gencrm.f90 \
+ readfermi.f90 gensdmat.f90 symrfmt.f90 sphcrd.f90 gencrm.f90 \
  rminv.f90 rtozfmt.f90 genwfsvp.f90 genwfsvp_sp.f90 rdiracint.f90 rotzflm.f90 \
- latvstep.f90 gradzfmt.f90 eveqnfv.f90 cfsht.f90 \
- wfmtsv_sp.f90 wfirsv.f90 wfirsv_sp.f90 genwfsv_sp.f90 ggamt_4.f90 ggair_4.f90 \
- trzhmm.f90 gengvec.f90 wigner3j.f90 gengvc.f90 potnucl.f90 zfmtint.f90 \
- rfmtint.f90 genvsig.f90 rfmtinp.f90 findngkmax.f90 potks.f90 mtdmin.f90 \
- rfcopy.f90 rhomagv.f90 eveqn.f90 genffacgp.f90 unitary.f90 zmdet.f90 \
- rfmtftoc.f90 zminv.f90 symrf.f90 genvmat.f90 writeeval.f90 mixerifc.f90 \
- splinew.f90 nfftifc.f90 batchdv.f90 readevalsv.f90 readoccsv.f90 z2mm.f90 \
- z2mctm.f90 z2mmct.f90 zmctmu.f90 zmctm.f90 rzmctmu.f90 moldyn.f90 gencrho.f90 \
- cpotclmt.f90 rfmtsm.f90 rbshtip.f90 rfshtip.f90 zbshtip.f90 zfshtip.f90 \
- writejw.f90 cbsht.f90 cbshtip.f90 cfshtip.f90 gencvclmt.f90 \
- zcfmtinp.f90 zcfinp.f90 cpotcoul.f90 ggamt_5b.f90 ggamt_5c.f90 ggair_5b.f90 \
- ggair_5c.f90 piezoelt.f90 magnetoelt.f90 zftcf.f90 trimrfg.f90 rmtavrg.f90
+ latvstep.f90 gradzfmt.f90 eveqnfv.f90 cfsht.f90 wfmtsv_sp.f90 wfirsv.f90 \
+ wfirsv_sp.f90 genwfsv_sp.f90 ggamt_4.f90 ggair_4.f90 trzhmm.f90 gengvec.f90 \
+ wigner3j.f90 gengvc.f90 potnucl.f90 zfmtint.f90 rfmtint.f90 genvsig.f90 \
+ rfmtinp.f90 findngkmax.f90 potks.f90 mtdmin.f90 rfcopy.f90 rhomagv.f90 \
+ eveqn.f90 genffacgp.f90 unitary.f90 zmdet.f90 rfmtftoc.f90 zminv.f90 \
+ symrf.f90 genvmat.f90 writeeval.f90 mixerifc.f90 splinew.f90 nfftifc.f90 \
+ batchdv.f90 readevalsv.f90 readoccsv.f90 z2mm.f90 z2mctm.f90 z2mmct.f90 \
+ zmctmu.f90 zmctm.f90 rzmctmu.f90 moldyn.f90 gencrho.f90 cpotclmt.f90 \
+ rfmtsm.f90 rbshtip.f90 rfshtip.f90 zbshtip.f90 zfshtip.f90 cbsht.f90 \
+ cbshtip.f90 cfshtip.f90 gencvclmt.f90 zcfmtinp.f90 zcfinp.f90 \
+ ggamt_3.f90 ggair_3.f90 piezoelt.f90 magnetoelt.f90 rmtavrg.f90 \
+ zlrzncnv.f90 efieldmt.f90 writeefield.f90 sort.f90
 
 SRC_main = $(SRC_main0) $(SRC_main1)
 
@@ -111,14 +111,15 @@
 SRC_BOG = $(SRC_BOG0) $(SRC_BOG1)
 
 SRC_phonon0 = \
- dolpistl.f90 dhmlistl.f90 olpaloq.f90 hmlaloq.f90 dolpalo.f90 dhmlalo.f90 \
+ dmatch.f90 dolpistl.f90 drhomagsh.f90 dhmlistl.f90 gendcfun.f90 gendvsig.f90
+
+SRC_phonon1 = \
+ olpaloq.f90 hmlaloq.f90 dolpalo.f90 dhmlalo.f90 \
  dhmllolo.f90 olpaaq.f90 dolpaa.f90 dhmlaa.f90 hmlaaq.f90 initeph.f90 \
  dengyeph.f90 gndsteph.f90 eveqneph.f90 hmlepha.f90 hmlephb.f90 hmlephde.f90 \
- getephmkq.f90 ephdos.f90
-
-SRC_phonon1 = \
- gradrhomt.f90 gendcfun.f90 gendvsig.f90 drhomagsh.f90 doccupy.f90 dhmlrad.f90 \
- gendwfsv.f90 dwfmtfv.f90 gengqvec.f90 dmatch.f90 writedvs.f90 readdyn.f90 \
+ getephmkq.f90 ephdos.f90 \
+ gradrhomt.f90 doccupy.f90 dhmlrad.f90 \
+ gendwfsv.f90 dwfmtfv.f90 gengqvec.f90 writedvs.f90 readdyn.f90 \
  dyntask.f90 dpotks.f90 dpotxc.f90 deveqnfv.f90 dpotcoul.f90 drhomagk.f90 \
  gengvsmt.f90 dforce.f90 dforcek.f90 dynqtor.f90 dynevs.f90 phonon.f90 \
  dynrtoq.f90 mcmillan.f90 genephmat.f90 gengkqvec.f90 genmcph.f90 \
@@ -169,13 +170,12 @@
 SRC_RDMFT = $(SRC_RDMFT0) $(SRC_RDMFT1)
 
 SRC_GW0 = \
- gwdmat.f90 gwlocal.f90 genwgw.f90 ksinvert.f90 gtwsum.f90 minf_nm.f90 \
- acpole.f90
+ gwdmat.f90 gwlocal.f90 genwgw.f90 gwtails.f90 minf_nm.f90 acpole.f90
 
 SRC_GW1 = \
  gwrhomag.f90 gwdmatk.f90 gwefermi.f90 dysonr.f90 gwsefm.f90 putgwsefm.f90 \
  getgwsefm.f90 writeigw.f90 polefit.f90 gwchgk.f90 gwsefmk.f90 gwspecf.f90 \
- writegwsf.f90 acgwse.f90 fmin_nm.f90 zfpole.f90 gwbandstr.f90 gwscrho.f90
+ writegwsf.f90 acgwse.f90 fmin_nm.f90 zfpole.f90 gwbandstr.f90
 
 SRC_GW = $(SRC_GW0) $(SRC_GW1)
 
@@ -203,7 +203,7 @@
 
 SRC_W90 = \
  initw90.f90 writew90.f90 writew90win.f90 writew90eig.f90 setupw90.f90 \
- writew90mmn.f90 writew90spn.f90
+ writew90mmn.f90 writew90spn.f90 writew90amn.f90 writew90unk.f90
 
 SRC = $(SRC_modules) $(SRC_FFT) $(SRC_elk) $(SRC_main) $(SRC_phonon) \
  $(SRC_XC) $(SRC_DFTU) $(SRC_RDMFT) $(SRC_GW) $(SRC_TDDFT) \
