=== debian/changelog ===
elkcode (9.6.8-1build2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2024 08:03:38 +0100

elkcode (9.6.8-1build1) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 30 Jul 2024 12:30:56 -0700

elkcode (9.6.8-1) unstable; urgency=medium

  * New usptream release.
  * debian/patches/makeflags.patch: Refreshed.

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Jun 2024 22:39:51 +0200
