=== debian/changelog ===
elkcode (10.2.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/makeflags.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/ls_locale_for_reproducible_order.patch: Likewise.
  * debian/patches/makeflags.patch: Use system xc_f03_lib_m.mod and add
    /usr/include as include dir in order to find it.

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Jan 2025 21:04:09 +0100
