## elkcode 10.4.5

=== debian/changelog ===
elkcode (10.4.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/ls_locale_for_reproducible_order.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/relax_test_thresholds.patch: New patch, relaxing a test
    threshold.

 -- Michael Banck <mbanck@debian.org>  Mon, 10 Mar 2025 00:37:25 +0100
